Subject: [manet] Hash results with MD5 (would be useful for IPv6 DPD)

From: "Charles E. Perkins" <[email-masked]>
Date: Wed, 25 Apr 2007 12:10:01 -0700

Hello folks,

I've run MD5 up to 32 million different
input strings, saving only 64 bits of output,
and gotten _zero_ duplication.
Running
    md5_test | sort | uniq -d
shows no output at all.

This is pretty good, and now when I test
larger datasets my laptop goes catatonic.
Also, I am getting timing estimates as low
as one millisecond per iteration, with
almost no programming optimizations.
That's very fast.  I could do larger datasets,
or try saving fewer bits of the hash result,
but these are details.  I reckon with more
study we can improve on my basic
results quite a bit.

I am still awaiting some more exact data
on the comparison between processing
power and transmission power, but anyway
I think it is at least clear that MD5 is pretty
effective on different input strings, even if
it is not the most resistant hash function
against determined adversaries for
verifying message integrity.

Regards,
Charlie P.

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet